Name:       ocsinventory-agent
Epoch:      1
Version:    2.9.1
Release:    %mkrel 2
Summary:    Unified client for OCS-Inventory
License:    GPLv2+
Group:      System/Servers
URL:        http://www.ocsinventory-ng.org/
Source0:    https://github.com/OCSInventory-NG/UnixAgent/archive/refs/tags/v%{version}.tar.gz#/Ocsinventory-Unix-Agent-%{version}.tar.gz
BuildRequires: perl(inc::Module::Install)

Requires:   net-tools
Requires:   hostname
Requires:   pciutils
Requires:   nmap
Requires:   monitor-edid
Requires:   dmidecode 
Requires:   perl-Net-IP
Requires:   perl-Compress-Raw-Zlib
Requires:   perl-XML-Simple
Requires:   perl-Net-SSLeay
Requires:   perl-Digest-MD5
Requires:   perl-libwww-perl
Recommends:   perl-Net-CUPS
Recommends:   perl-Proc-Daemon
Recommends:   ipmitool

%description
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%prep
%setup -q -n UnixAgent-%{version}
%autopatch -p1

%build
# fix build with perl-5.26:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -f run-postinst
%make_install

install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/* %{buildroot}%{_sbindir}/

install -d -m 755 %{buildroot}%{_sysconfdir}/ocsinventory


cat <<EOF > %{buildroot}%{_sysconfdir}/ocsinventory/%{name}.cfg
# 
# OCS Inventory "Unix Unified Agent" Configuration File
#

# Server URL, unconmment if needed
# server = your.ocsserver.name
basevardir = %{_localstatedir}/lib/%{name}

# Administrative TAG (optional, must be filed before first inventory)
# tag = your_tag

# How to log, can be File,Stderr,Syslog
logger = File
logfile = %{_localstatedir}/log/%{name}/%{name}.log
EOF


install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily

cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name}<<EOF
#!/bin/sh
%{_sbindir}/ocsinventory-agent --lazy > /dev/null 2>&1
EOF
chmod +x %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name}<<EOF
/var/log/%{name}/*.log {
    daily
    rotate 7
    compress
    notifempty
    missingok
}
EOF

install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/log/%{name}

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/Ocsinventory/postinst.pl
rm -rf %{buildroot}%{perl_vendorlib}/Ocsinventory/Agent/Backend/OS/Win32*


%files
%doc AUTHORS Changes LICENSE README.md THANKS
%{_sbindir}/%{name}
%{_sbindir}/ipdiscover
%{_mandir}/man1/%{name}.*
%{_mandir}/man3/Ocsinventory*
%{perl_vendorlib}/Ocsinventory
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/ocsinventory
%{_localstatedir}/log/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1:2.9.1-2.mga9
+ Revision: 1793870
- Mageia 9 Mass Rebuild

* Mon Jan 31 2022 mrambo3501 <mrambo3501> 1:2.9.1-1.mga9
+ Revision: 1770782
- delete Patch0 which no longer applies
- fix up Sources
- version 2.9.1

* Fri Feb 14 2020 umeabot <umeabot> 1:2.3-3.mga8
+ Revision: 1515665
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:2.3-2.mga7
+ Revision: 1299956
- Mageia 7 Mass Rebuild

* Tue Feb 06 2018 tv <tv> 1:2.3-1.mga7
+ Revision: 1199257
- new URL
- new version

* Tue Feb 06 2018 tv <tv> 1:2.1.1-7.mga7
+ Revision: 1199253
- patch 0: fix missing debuginfo/source
- fix build with perl-5.26
+ daviddavid <daviddavid>
- add missing BR on perl(inc::Module::Install) to fix build

* Sat Jun 18 2016 pterjan <pterjan> 1:2.1.1-6.mga6
+ Revision: 1022168
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:2.1.1-5.mga6
+ Revision: 944283
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.1.1-4.mga5
+ Revision: 750247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.1.1-3.mga5
+ Revision: 683154
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1:2.1.1-2.mga5
+ Revision: 673850
- add requires on hostname now that it is in a different package

* Tue Sep 02 2014 bersuit <bersuit> 1:2.1.1-1.mga5
+ Revision: 671051
- Update to new upstream version 2.1.1

* Fri Oct 18 2013 umeabot <umeabot> 1:2.0.5-3.mga4
+ Revision: 508615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.5-2.mga3
+ Revision: 361780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 juancho <juancho> 1:2.0.5-1.mga3
+ Revision: 282808
- Updated to 2.0.5 and cleaned up the spec file (patch from apprentice bersuit).

* Wed Mar 07 2012 dams <dams> 1:2.0.4-1.mga2
+ Revision: 220693
- new version 2.0.4
- clean spec file
- remove patchs

* Sun Mar 06 2011 ennael <ennael> 1:1.1.2.1-2.mga1
+ Revision: 65406
- imported package ocsinventory-agent


* Fri Feb 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.2.1-2mdv2011.0
+ Revision: 635830
- fix cron task (bug #61969)

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.2.1-1mdv2011.0
+ Revision: 601954
- new version

* Mon Jun 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.2-4mdv2011.0
+ Revision: 548020
- drop useless explicit dependencies
- cleanup space and tabs mixture

* Mon Jun 14 2010 Anne Nicolas <ennael@mandriva.org> 1:1.1.2-4mdv2010.1
+ Revision: 547999
- Fix requires and suggests (#59459)

* Sat May 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.2-3mdv2010.1
+ Revision: 546575
- patch1: fix dmidecode version test
- patch2: fix xen dom0 identification
- patch3: add bios information for xen PV hosts
- suggests optional perl modules and tools (fix #59459)

* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.2-2mdv2010.1
+ Revision: 540800
- patch0: fix syslog usage
- new version
- fix cron task

* Mon Nov 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2010.1
+ Revision: 471940
- ensure cron script is executable

* Sat Jun 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2010.0
+ Revision: 383255
- new version
- merge perl package, no need for a distinct one
- use herein document whenever possible
- switch to a daily cron job, as per default installation

* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 373950
- new version
- drop patches, not needed anymore

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.0.9.2-2mdv2009.0
+ Revision: 268323
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.9.2-1mdv2009.0
+ Revision: 207628
- remove versioned deps

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.9.2-0.1mdv2009.0
+ Revision: 207254
- import ocsinventory-agent


* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.9.2-0.1mdv2009.0
- initial Mandriva package (requested by psycocat)
- used the fedora package as a start
